Package org.apache.cayenne.access.flush.operation

## Class UpdateDbRowOp

- java.lang.Object
- - org.apache.cayenne.access.flush.operation.BaseDbRowOp
  - - org.apache.cayenne.access.flush.operation.UpdateDbRowOp

- All Implemented Interfaces:
    `DbRowOp`, `DbRowOpWithQualifier`, `DbRowOpWithValues`

      public class UpdateDbRowOp
      extends BaseDbRowOp
      implements DbRowOpWithValues, DbRowOpWithQualifier

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Qualifier` | `qualifier` |
    `protected Values` | `values` |

    - ### Fields inherited from class org.apache.cayenne.access.flush.operation.BaseDbRowOp

      `changeId, entity, hashCode, object`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateDbRowOp​(Persistent object, DbEntity entity, ObjectId id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `accept​(DbRowOpVisitor<T> visitor)` |
    `Qualifier` | `getQualifier()` |
    `Values` | `getValues()` |
    `boolean` | `isSameBatch​(DbRowOp rowOp)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.cayenne.access.flush.operation.BaseDbRowOp

      `equals, getChangeId, getEntity, getObject, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.access.flush.operation.DbRowOp

      `getChangeId, getEntity, getObject`

- - ### Field Detail

    - #### values

          protected final Values values

    - #### qualifier

          protected final Qualifier qualifier

  - ### Constructor Detail

    - #### UpdateDbRowOp

          public UpdateDbRowOp​(Persistent object,
                               DbEntity entity,
                               ObjectId id)

  - ### Method Detail

    - #### accept

          public <T> T accept​(DbRowOpVisitor<T> visitor)

      Specified by:
        `accept` in interface `DbRowOp`

    - #### getQualifier

          public Qualifier getQualifier()

      Specified by:
        `getQualifier` in interface `DbRowOpWithQualifier`

    - #### getValues

          public Values getValues()

      Specified by:
        `getValues` in interface `DbRowOpWithValues`

    - #### isSameBatch

          public boolean isSameBatch​(DbRowOp rowOp)

      Specified by:
        `isSameBatch` in interface `DbRowOp`
      Parameters:
        `rowOp` - to check
      Returns:
        is this and rowOp operations belong to same sql batch

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BaseDbRowOp`